package jnet.lib.object;

import java.io.Serializable;


public class OnlineClients implements Serializable{
    
    public static final int PLATFORM_PC = 1;
    public static final int PLATFORM_MOBILE = 2;
    
    private String id;
    private String username;
    private String ip;
    private String port;
    private int platform;

    public OnlineClients(String id, String username, String ip, String port, int platform) {
        this.id = id;
        this.username = username;
        this.ip = ip;
        this.port = port;
        this.platform = platform;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getPlatform() {
        return platform;
    }

    public void setPlatform(int platform) {
        this.platform = platform;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }
    
}
